Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain.client
Class RoleImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.domain.client.RoleImpl

All Implemented Interfaces:
  AttributedObject, Role, java.io.Serializable

    public class RoleImpl

extends java.lang.Object
implements Role, java.io.Serializable

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`RoleImpl()`

Method Summary
`void` | `addUser(User aUser)`
`boolean` | `equals(java.lang.Object other)`
`java.util.List` | `getAttributes()`
`java.lang.String` | `getRoleName()`
`java.util.Set` | `getUsers()`
`int` | `hashCode()`
`boolean` | `isExternallyDefined()`
`void` | `removeUser(User aUser)`
`void` | `setAttributes(java.util.List attrs)`
`void` | `setExternallyDefined(boolean externallyDefined)`
`void` | `setRoleName(java.lang.String newRoleName)`
`void` | `setUsers(java.util.Set userSet)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleImpl

    public RoleImpl()

Method Detail

### getRoleName

    public java.lang.String getRoleName()

  Specified by:
    `getRoleName` in interface `Role`

### setRoleName

    public void setRoleName(java.lang.String newRoleName)

  Specified by:
    `setRoleName` in interface `Role`

### getUsers

    public java.util.Set getUsers()

  Specified by:
    `getUsers` in interface `Role`

### setUsers

    public void setUsers(java.util.Set userSet)

### isExternallyDefined

    public boolean isExternallyDefined()

  Specified by:
    `isExternallyDefined` in interface `Role`

### setExternallyDefined

    public void setExternallyDefined(boolean externallyDefined)

  Specified by:
    `setExternallyDefined` in interface `Role`
  Parameters:
    `externallyDefined` - The externallyDefined to set.

### getAttributes

    public java.util.List getAttributes()

  Specified by:
    `getAttributes` in interface `AttributedObject`
  Returns:
    List of Attributes for the object

### setAttributes

    public void setAttributes(java.util.List attrs)

  Specified by:
    `setAttributes` in interface `AttributedObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### addUser

    public void addUser(User aUser)

  Specified by:
    `addUser` in interface `Role`

### removeUser

    public void removeUser(User aUser)

  Specified by:
    `removeUser` in interface `Role`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.